Package com.trilead.ssh2.crypto.digest

## Class MD5

- java.lang.Object
- - com.trilead.ssh2.crypto.digest.MD5

All Implemented Interfaces:
  `Digest`

    public final class MD5
    extends java.lang.Object
    implements Digest

MD5. Based on the example code in RFC 1321. Optimized (...a little).

### Constructor Summary

Constructors
`MD5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `digest​(byte[] dst)`
`void` `digest​(byte[] dst, int pos)`
`int` `getDigestLength()`
`void` `reset()`
`void` `update​(byte b)`
`void` `update​(byte[] b)`
`void` `update​(byte[] buff, int pos, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MD5

    public MD5()

### Method Detail

#### reset

    public final void reset()

Specified by:
  `reset` in interface `Digest`

#### update

    public final void update​(byte b)

Specified by:
  `update` in interface `Digest`

#### update

    public final void update​(byte[] buff,
                             int pos,
                             int len)

Specified by:
  `update` in interface `Digest`

#### update

    public final void update​(byte[] b)

Specified by:
  `update` in interface `Digest`

#### digest

    public final void digest​(byte[] dst,
                             int pos)

Specified by:
  `digest` in interface `Digest`

#### digest

    public final void digest​(byte[] dst)

Specified by:
  `digest` in interface `Digest`

#### getDigestLength

    public final int getDigestLength()

Specified by:
  `getDigestLength` in interface `Digest`